#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long x, y, z;
    cin >> x >> y >> z;
    if (x + y < z)
        cout << "0 0";
    else
        cout << (x + y) / z<<" " << max(min(((x + y) / z - x / z) * z - y, ((x + y) / z - y / z) * z - x), 0ll);
    return 0;
}
